{
    onPreStart(pokemon) {
        this.add("-ability", pokemon, "As One");
        this.add("-ability", pokemon, "Unnerve");
        this.effectState.unnerved = true;
    },
    onEnd() {
        this.effectState.unnerved = false;
    },
    onFoeTryEatItem() {
        return !this.effectState.unnerved;
    },
    onFoeTryHeal(damage, target, source, effect) {
        if (effect && effect.id === 'leftovers') {
            return 0;
        }
    },
    onSourceAfterFaint(length, target, source, effect) {
        if (effect && effect.effectType === "Move") {
            this.boost({ atk: length }, source, source, this.dex.abilities.get("chillingneigh"));
        }
    },
    flags: { failroleplay: 1, noreceiver: 1, noentrain: 1, notrace: 1, failskillswap: 1, cantsuppress: 1 },
    name: "As One (Glastrier)",
    rating: 3.5,
    num: 266
}
